Skip to main content
GET
/
strategies
/
{slug}
Get a strategy by share slug
curl --request GET \
  --url https://teambattles.gg/api/v1/strategies/{slug} \
  --header 'Authorization: Bearer <token>'
{
  "strategy": {
    "id": "<string>",
    "ownerId": "<string>",
    "name": "<string>",
    "description": "<string>",
    "game": "<string>",
    "mapId": "<string>",
    "shareSlug": "<string>",
    "mapRotation": 123,
    "playbackLoop": true,
    "stages": [
      {
        "id": "<string>",
        "label": "<string>",
        "durationMs": 4503599627370495
      }
    ],
    "stageCount": 4503599627370495,
    "previewUrl": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>"
  },
  "timestamp": "<string>"
}

Authorizations

Authorization
string
header
required

Send your API key as: Authorization: Bearer tb_

Path Parameters

slug
string
required

Strategy public share slug.

Response

The strategy.

Strategy plus a response timestamp.

strategy
object
required

API-safe shareable strategy.

timestamp
string
required

ISO 8601 timestamp.